//
//  AdLocusBannerAdapter.m
//  HyxenAdLocusSDK_Adapter_Sample
//
//  Created by HyXen on 14/1/20.
//
//

#import "AdLocusBannerAdapter.h"

@implementation AdLocusBannerAdapter

#pragma mark - GADCustomEventBanner Protocol

- (void)requestBannerAd:(GADAdSize)adSize parameter:(NSString *)serverParameter label:(NSString *)serverLabel request:(GADCustomEventRequest *)customRequest
{
    self.hyxenAppKey = serverParameter;    //  Store App key.
    
    if ([[UIDevice currentDevice] userInterfaceIdiom] == UIUserInterfaceIdiomPhone)
    {
        if (!self.hyxenBannerView)
        {
            //廣告有三種尺寸，320*50, 728*90, 300*250若不是這三種尺寸則拿不到廣告
            self.hyxenBannerView = [[HyXenProMeADBannerView alloc] initWithFrame:CGRectMake(0, 0, 320, 50)] ;
            [self.hyxenBannerView setBannerAnimationType:AdLocusBannerAnimationTypeRandom]; //設定廣告轉換時的動畫不設時default為random
            [self.hyxenBannerView isAdwhirl];
            self.hyxenBannerView.delegate = self;
        }
    }

    [self.hyxenBannerView requestAdViewWithDelegate:self];
}

#pragma mark - HyXenProMeADBannerView Delegate

//  If you're on test, please return it.
- (BOOL)testMode
{
    return NO;
}

- (NSString *)hyxenADAppKey
{
    return self.hyxenAppKey;
}

- (UIViewController *)viewControllerForPresentingModalView
{
	return [self.delegate viewControllerForPresentingModalView];
}

-(void)adViewDidReceiveAd:(HyXenProMeADBannerView *)view
{
    [self.delegate customEventBanner:self didReceiveAd:view];
}

-(void)adViewDidFailToReceiveAd:(HyXenProMeADBannerView *)view andError:(HyxenAdLocusError *)error
{
    [self.delegate customEventBanner:self didFailAd:(NSError *)error];
}

- (void) adDidDismissFullScreenModal
{
    //  No use right now.
}

- (void) adWillPresentFullScreenModal
{
    //  No use right now.
}

- (void)dealloc
{
    [super dealloc];
    self.delegate = nil;
    [_hyxenAppKey release];
    [_hyxenBannerView release];
}

@end
